package com.aitrainer.api

import org.slf4j.LoggerFactory
import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.builder.SpringApplicationBuilder

@SpringBootApplication
class ApiApplication
    private val logger = LoggerFactory.getLogger(ApiApplication::class.simpleName)

    @Override
    fun configure(application: SpringApplicationBuilder): SpringApplicationBuilder {
        return application.sources(ApiApplication::class.java)
    }

    fun main(args: Array<String>) {
        logger.info(" ---- Start aitrainer API")
        SpringApplication.run(ApiApplication::class.java, *args)
    }

